## org.mortbay.http.handler
Class ProxyHandler

    java.lang.Object
      |
      +--org.mortbay.http.handler.AbstractHttpHandler
            |
            +--org.mortbay.http.handler.ProxyHandler

All Implemented Interfaces:
  HttpHandler, LifeCycle, java.io.Serializable

public class ProxyHandler
extends AbstractHttpHandler

Proxy request handler. A HTTP/1.1 Proxy. This implementation uses the JVMs URL implementation to make proxy requests.

The HttpTunnel mechanism is also used to implement the CONNECT method.

Version:
  $Id: ProxyHandler.java,v 1.21.2.4 2004/04/24 07:54:54 gregwilkins Exp $
Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`ProxyHandler()`

Method Summary
`java.lang.String[]` `getProxyHostsBlackList()` Get proxy host black list.
`java.lang.String[]` `getProxyHostsWhiteList()` Get proxy host white list.
`int` `getTunnelTimeoutMs()`
`void` `handle(java.lang.String pathInContext, java.lang.String pathParams, HttpRequest request, HttpResponse response)` Tunnel timeout.
`void` `handleConnect(java.lang.String pathInContext, java.lang.String pathParams, HttpRequest request, HttpResponse response)`
`void` `setProxyHostsBlackList(java.lang.String[] hosts)` Set proxy host black list.
`void` `setProxyHostsWhiteList(java.lang.String[] hosts)` Set proxy host white list.

Methods inherited from class org.mortbay.http.handler.AbstractHttpHandler
`getHttpContext, getName, handleTrace, initialize, isStarted, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProxyHandler

    public ProxyHandler()

Method Detail

### getProxyHostsWhiteList

    public java.lang.String[] getProxyHostsWhiteList()

  Get proxy host white list.

  Returns:
    Array of hostnames and IPs that are proxied, or an empty array if all hosts are proxied.

### setProxyHostsWhiteList

    public void setProxyHostsWhiteList(java.lang.String[] hosts)

  Set proxy host white list.

  Parameters:
    `hosts` - Array of hostnames and IPs that are proxied, or null if all hosts are proxied.

### getProxyHostsBlackList

    public java.lang.String[] getProxyHostsBlackList()

  Get proxy host black list.

  Returns:
    Array of hostnames and IPs that are NOT proxied.

### setProxyHostsBlackList

    public void setProxyHostsBlackList(java.lang.String[] hosts)

  Set proxy host black list.

  Parameters:
    `hosts` - Array of hostnames and IPs that are NOT proxied.

### getTunnelTimeoutMs

    public int getTunnelTimeoutMs()

### handle

    public void handle(java.lang.String pathInContext,
                       java.lang.String pathParams,
                       HttpRequest request,
                       HttpResponse response)
                throws HttpException,
                       java.io.IOException

  Tunnel timeout. IE on win2000 has connections issues with normal timeout handling. This timeout should be set to a low value that will expire to allow IE to see the end of the tunnel connection. / public void setTunnelTimeoutMs(int ms) { _tunnelTimeoutMs = ms; } ------------------------------------------------------------

  Parameters:
    `pathInContext` - The context path
    `pathParams` - Path parameters such as encoded Session ID
    `request` - The HttpRequest request
    `response` - The HttpResponse response
    `HttpException`
    `java.io.IOException`

### handleConnect

    public void handleConnect(java.lang.String pathInContext,
                              java.lang.String pathParams,
                              HttpRequest request,
                              HttpResponse response)
                       throws HttpException,
                              java.io.IOException

    `HttpException`
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.